Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Collect.CollectFileLists Class Referencesealed
Inheritance diagram for Zwipe.Build.Collect.CollectFileLists:
[legend]
Collaboration diagram for Zwipe.Build.Collect.CollectFileLists:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
ITaskItem[] | FileLists`[get, set]`
ITaskItem | DestinationFolder`[get, set]`

## Static Private Member Functions
static string | GetSourceFolder (string filePath)
static void | CreateDirectoryRecursively (string directory)
static void | CopyFileSystemEntry (FileSystemEntry entry, string newAbsolutePath)
static IEnumerable< Tuple< string, string > > | Read (string source)
static void | Copy (string source, string destination, bool overwrite)

## Static Private Attributes
const string | DestinationFolderTag = "DestinationFolder"

## Member Function Documentation

## ◆ Copy()

void Zwipe.Build.Collect.CollectFileLists.Copy | ( | string | source,
|  | string | destination,
|  | bool | overwrite )
| static private

Here is the caller graph for this function:

## ◆ CopyFileSystemEntry()

void Zwipe.Build.Collect.CollectFileLists.CopyFileSystemEntry | ( | FileSystemEntry | entry,
|  | string | newAbsolutePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CreateDirectoryRecursively()

void Zwipe.Build.Collect.CollectFileLists.CreateDirectoryRecursively | ( | string | directory | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Execute()

override bool Zwipe.Build.Collect.CollectFileLists.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetSourceFolder()

string Zwipe.Build.Collect.CollectFileLists.GetSourceFolder | ( | string | filePath | ) |
| static private

Here is the caller graph for this function:

## ◆ Read()

IEnumerable< Tuple< string, string > > Zwipe.Build.Collect.CollectFileLists.Read | ( | string | source | ) |
| static private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ DestinationFolderTag

const string Zwipe.Build.Collect.CollectFileLists.DestinationFolderTag = "DestinationFolder"
| static private

## Property Documentation

## ◆ DestinationFolder

ITaskItem Zwipe.Build.Collect.CollectFileLists.DestinationFolder
| get set

## ◆ FileLists

ITaskItem [] Zwipe.Build.Collect.CollectFileLists.FileLists
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Collect/CollectFileLists.cs